use crate::tui::State;

use color_eyre::eyre::Ok;
use ratatui::{Frame, Terminal};
use ratatui::layout::{Constraint, Direction, Layout, Rect};
use ratatui::prelude::CrosstermBackend;
use ratatui::widgets::{Block, Paragraph, Widget};

use color_eyre::Result;

pub struct MainView {}

impl MainView {
    pub fn new() -> Self {
        Self {}
    }

    pub fn render(&self,frame:&mut Frame<'_>,  state: & State, area: &Rect, fps: u64) -> Result<()> {
        let [layout] = Layout::default()
            .direction(Direction::Horizontal)
            .constraints([
                Constraint::Fill(1)
            ])
            .areas(*area);

        let widget = Paragraph::new("HELLO")
            .block(Block::bordered().title(format!(" Esc to Quit. FPS: {} ", fps)));

        frame.render_widget(widget, layout);
        Ok(())
    }
}



