use crate::graphics::vertical_barchart;
use crate::tui::State;

use color_eyre::eyre::Ok;
use ratatui::{Frame, Terminal};
use ratatui::layout::{Constraint, Direction, Layout, Rect};
use ratatui::prelude::CrosstermBackend;
use ratatui::widgets::{Block, Widget};

use color_eyre::Result;

pub struct SortingView {}

impl SortingView {
    pub fn new() -> Self {
        Self {}
    }
    pub fn render(&self, frame: &mut Frame<'_>, state: &State , area: &Rect, fps: u64) -> Result<()> {
        let [layout] = Layout::default()
            .direction(Direction::Horizontal)
            .constraints([
                Constraint::Fill(1)
            ])
            .areas(*area);
        let widget = vertical_barchart(&state.vec, area.width)
            .block(Block::bordered().title(format!(" Esc to Quit. FPS: {} ", fps)));

        frame.render_widget(widget, layout);
        Ok(())
    }
}
